# simple-cdd.conf detailed configuration file

# Note: this is an example list of configuration options: it is *strongly*
# advised to merely create a new file using only the options you actually need.

# Note: Variables in lowercase are only used by simple-cdd.

# Profile Selection
#
# The following four files get included on the CD if present:
# $profile.preseed  
#   Debconf selections.
# $profile.packages  
#   Packages to be installed with the profile. Dependencies also will 
#   be installed.
# $profile.downloads  
#   Additional packages to be included on the CD with this profile, but 
#   not installed by default.
# $profile.postinst  
#   Post-install script that is run after installing packages.
#
# During the install after base system setup, it will give you the 
# options to determine which profiles you want to install.


# Profiles to include on the CD
#profiles=""
#profiles="x-basic ltsp"

# To automatically select profiles (must also be listed in profiles):
# auto_profiles="foo bar baz"

if [ "$DISKTYPE" = "DVD" ]; then
    # Enable offline installation for full installer image
    profiles="kali offline"
    auto_profiles="kali offline"
else
    profiles="kali"
    auto_profiles="kali"
fi

# To include profiles which only effect the CD build
# build_profiles="kali"

# Mirror tools
mirror_tools="reprepro download"
mirror_files=""  # Don't try to download README doc/ tools/
if [ "$ARCH" = "arm64" ]; then
  require_optional_packages="false"
else
  require_optional_packages="true"
fi
ignore_missing_checksums="true"

# Mirror variables
server="http.kali.org"
debian_mirror=${debian_mirror:-http://archive.kali.org/kali/}
keyring="/usr/share/keyrings/kali-archive-keyring.gpg"

# which components to get from the mirror
mirror_components="main contrib non-free"

# Disable *-security and *-updates repositories
security_mirror=""
updates_mirror=""

# Kernel related
if [ "$ARCH" = "i386" ]; then
    kernel_packages="linux-image-686-pae"
fi
if [ "$ARCH" = "arm64" ]; then
    kernel_packages="linux-image-arm64"
fi

# Random other variables
export default_desktop="xfce"
export DISKINFO_DISTRO="Kali"
export DEBVERSION=${DEBVERSION:-rolling}
export OFFICIAL="Official"
export VOLID_BASE="Kali Linux"
export CDNAME="kali"

export OMIT_MANUAL=1
export OMIT_RELEASE_NOTES=1
export OMIT_DOC_TOOLS=1
export DOJIGDO=0
export NORECOMMENDS=0
export NONFREE=1
export CONTRIB=1
export FORCE_FIRMWARE=1
export ARCHIVE_KEYRING_PACKAGE=kali-archive-keyring
export DESKTOP=xfce
export DISKTYPE=${DISKTYPE:-DVD}

# Configure a hook to apply our customization via debian-cd
export DISC_END_HOOK=$(pwd)/disc-end-hook

# Extra files to include onto the CD
#   These will get copied to /simple-cdd dir on the CD
#   Paths starting with '/' are interpreted as absolute, otherwise relative
#   to the currect directory.
#all_extras=""

# Generate a simple package repository on the CD with the debs cited
#   Please insert full paths.
#local_packages="/path/to/dir/with/deb/packages"

# Call mirror tools at each build- defaults to true.
#do_mirror="false"

# Set your proxy (if any). 
#export http_proxy=http://localhost:3128

# Location of debian-cd files
debian_cd_dir=${BASEDIR:-/usr/share/debian-cd}

# Set target architecture for build
#export ARCH=amd64
#export ARCHES="amd64 i386"

# Define the CD label
export DISKINFO="Kali Installer: Kali Linux $DEBVERSION $(date +%Y-%m-%d)"
